Package twisted :: Package protocols :: Module policies :: Class ThrottlingProtocol

[frames | no frames]

## Class ThrottlingProtocol

    BaseProtocol --+
                   |
            Protocol --+
                       |
         ProtocolWrapper --+
                           |
                          ThrottlingProtocol

Protocol for ThrottlingFactory.

Method Summary
| ``dataReceived`(self, data)` Called whenever data is received.
| `registerProducer(self, producer, streaming)`
| `throttleReads(self)`
| `throttleWrites(self)`
| `unregisterProducer(self)`
| `unthrottleReads(self)`
| `unthrottleWrites(self)`
| `write(self, data)`
| `writeSequence(self, seq)`
Inherited from ProtocolWrapper
| ``__init__`(self, factory, wrappedProtocol)`
| ``__getattr__`(self, name)`
| ``connectionLost`(self, reason)`
| ``connectionMade`(self)` Called when a connection is made.
| ``getHost`(self)`
| ``getPeer`(self)`
| ``loseConnection`(self)`
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
| ``stopConsuming`(self)`
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)

Class Variable Summary
Inherited from ProtocolWrapper
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.ITr...`
`int` | `disconnecting` = 0
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### dataReceived(self, data)

Called whenever data is received.

Use this method to translate to a higher-level message. Usually, some callback will be made upon the receipt of each complete protocol message.

  Parameters:
    `data` - a string of indeterminate length. Please keep in mind that you will probably need to buffer some data, as partial (or multiple) protocol messages may be received! I recommend that unit tests for protocols call through to this method with differing chunk sizes, down to one byte at a time.
  Overrides:
    `twisted.protocols.policies.ProtocolWrapper.dataReceived` (inherited documentation)

Generated by Epydoc 2.0 on Sat May 15 20:08:50 2004 | http://epydoc.sf.net